Remove user from company
DELETE
/user/{user_id}/company/{company_id}/orbits/{orbits}
const url = 'https://api.colourbox.com/user/1/company/1/orbits/colourbox-skyfish';const options = {method: 'DELETE', headers: {Authorization: 'CBX-SIMPLE-TOKEN Token=<token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request DELETE \ --url https://api.colourbox.com/user/1/company/1/orbits/colourbox-skyfish \ --header 'Authorization: CBX-SIMPLE-TOKEN Token=<token>'Deleting from Skyfish
To remove user 17 from Skyfish on company 62 and let user 87 inherit the content unique to
user 17: DELETE /user/17/company/62/orbits/skyfish?heir_id=87.
The heir_id is important if you want to control who inherits the files user 17 had access
to. Specifying no heir_id will leave the content orphaned, but it can be found under Folder
management.
Deleting from Colourbox
DELETE /user/17/company/62/orbits/colourbox
Both orbits can be given separated by a hyphen:
DELETE /user/17/company/62/orbits/colourbox-skyfish?heir_id=87
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”user_id
required
integer
User ID
company_id
required
integer
orbits
required
string
Example
colourbox-skyfishskyfish, colourbox or both, separated by a hyphen
Query Parameters
Section titled “Query Parameters”heir_id
integer
The user who inherits the content unique to the deleted user
Responses
Section titled “Responses”User deleted from the orbits
Nothing to delete